import Vue from 'vue'
import Router from 'vue-router'
import Home from '../views/Home.vue'
import Contract from '../views/Contract.vue'
import Linkman from '../views/Linkman.vue'
import Mine from '../views/Mine.vue'
import Company from '../views/Company.vue'
import Individual from '../views/Individual.vue'
import Sign from '../views/Sign.vue'
import Safe from '../views/Safe.vue'
import FirmInfo from '../views/FirmInfo.vue'
import Legal from '../views/Legal.vue'
import Author from '../views/Author.vue'
import Result from '../views/Result.vue'


Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
    	path: '/home',
    	component: Home
    },
    {
    	path: '/contract',
    	component: Contract
    },
    {
    	path: '/linkman',
    	component: Linkman
    },
    {
    	path: '/mine',
    	component: Mine,
    },
    {
      path: '/mine/individual',
      component:Individual
    },
    {
      path: '/mine/company',
      component:Company,
      children:[
        {
          path:'',
          redirect:'/mine/company/firmInfo'
        },
        {
          path: 'firmInfo',
          component:FirmInfo
        },
        {
          path:'legal',
          component:Legal
        },
        {
          path:'author',
          component:Author
        },
        {
          path:'result',
          component:Result
        }
      ]
    },
    {
      path: '/mine/sign',
      component:Sign
    },
    {
      path: '/mine/safe',
      component:Safe
    }
  ]
})
